Package io.vertx.reactivex.sqlclient.templates

## Class RowMapper<T>

- java.lang.Object
- - io.vertx.reactivex.sqlclient.templates.RowMapper<T>

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class RowMapper<T>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Map a to an arbitrary `T` object.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<RowMapper>` | `__TYPE_ARG` |
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RowMapper​(RowMapper delegate)` |
    `RowMapper​(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `RowMapper` | `getDelegate()` |
    `int` | `hashCode()` |
    `T` | `map​(Row row)` | Build a `T` representation of the given `row`
    `static <T> RowMapper<T>` | `newInstance​(RowMapper arg)` |
    `static <T> RowMapper<T>` | `newInstance​(RowMapper arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RowMapper> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### RowMapper

          public RowMapper​(RowMapper delegate)

    - #### RowMapper

          public RowMapper​(Object delegate,
                           io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RowMapper getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### map

          public T map​(Row row)

      Build a `T` representation of the given `row`
      Parameters:
        `row` - the row
      Returns:
        the object

    - #### newInstance

          public static <T> RowMapper<T> newInstance​(RowMapper arg)

    - #### newInstance

          public static <T> RowMapper<T> newInstance​(RowMapper arg,
                                                     io.vertx.lang.rx.TypeArg<T> __typeArg_T)